/*

 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1

 */

@import url('https://fonts.googleapis.com/css2?family=Amiri:ital,wght@0,400;0,700;1,400;1,700&family=Gabriela&family=Roboto+Flex:opsz,wght,XOPQ,XTRA,YOPQ,YTDE,YTFI,YTLC,YTUC@8..144,100..1000,96,468,79,-203,738,514,712&display=swap');


/* VARIABLES POR DEFECTO */
:root {

  --c-negro: #1b1b1b;
  --c-blanco: #FFFFFF;
  --c-primario: #8c9373;
  --c-verde: #8c9373;
  --c-secundario: #d1d8b4;
  --c-crema: #dfd6cc;
  --c-texto: #575757;
  --c-grisclaro: #EFEFEF;
  --c-gris: #e1e1e1;

  --f-primaria: 'Gabriela', serif;
  --f-secundaria: 'DM Sans', sans-serif;

}


/* OUTLINE */
*:focus { outline: 5px solid orange; }


/* ESTILOS COMUNES */
.zindex0 {
  z-index:0;
}

.zindex1 {
  z-index:1;
}

body {
  font-family: var(--f-secundaria);
  color: var(--c-negro);
  font-size: 1.125rem;
  line-height: 1.3em;
}

p {
  margin-bottom: 20px;

  &:last-child {
    margin-bottom: 0;
  }
}

a {
  color: var(--c-primario);
  text-decoration: none;
}

a, a:hover {
  transition: all 0.4s ease !important;
}


/* LISTAS */
.lista {
  ul {
      list-style: none;
      margin: 0 0 0 25px;

      li {
          position: relative;
          margin-bottom: 10px;

          &::before {
              content: "";
              position: absolute;
              background-color: var(--c-primario);
              width: 10px;
              height: 10px;
              top: 7px;
              left: -20px;
              border-radius: 20px;
          }
      }
  }
}

/* TÍTULOS */
h1, h2, h3, h4, h5, h6 {
  font-family: var(--f-primaria);
  line-height: 1.2em !important;
}

h1 {
  font-size: clamp(36px, 5vw, 55px);
  font-weight: 400;
}

h2 {
  font-size: clamp(26px, 3vw, 36px);
  font-weight: 400;
}

h3 {
  font-size: clamp(22px, 2vw, 30px);
  font-weight: 400;
}

h4 {
  font-size: clamp(20px, 1.5vw, 24px);
  font-weight: 400;
}



/* -- HEADER -- */ 

.menu-header {
  .menu-item {
    a {
      font-family: var(--f-secundaria);
      font-size: 1rem;
      color: var(--c-negro);
      position: relative;
      margin: 0;
      transition: all 0.4s ease-in-out;

      &::after {
        content: "";
        background-color: var(--c-primario);
        width: 0;
        height: 1px;
        position: absolute;
        left: 0;
        bottom: 0;
        transition: all 0.4s ease-in-out;
      }

      &:hover {
        color: var(--c-primario);

        &::after {
          width: 100%;
        }
      }
    }

    &.current-menu-item {
      a {
        color: var(--c-primario);

        &::after {
          width: 100%;
        }
      }
    }
  }
}

.menu-mv {
  display: none !important;
}

.links-header {
  a {
    font-family: var(--f-secundaria);
    font-size: 1rem !important;
  }
}


/* FOOTER */
.tit-footer p {
  font-family: var(--f-primaria);
  font-size: clamp(20px, 2vw, 24px);
  font-weight: 600;
}

/* BLOG */
.posts-blog {
  .elementor-post__title {
    a {
      transition: all 0.35s ease-in-out;

      &:hover {
        color: var(--c-secundario) !important;
      }
    }
  }

  .elementor-post__read-more {
    text-transform: uppercase;
    letter-spacing: 0.35px;
    transition: all 0.35s ease-in-out;

    &:hover {
      color: var(--c-secundario);
    }
  }
}


/* ENTRADA INDIVIDUAL */
.contenido-blog {
  a {
    color: var(--c-primario);
    text-decoration: none;
    transition: all 0.35s ease-in-out;

    &:hover {
      color: var(--c-secundario);
    }
  }
}

/* ---------- RESPONSIVE ---------- */
@media screen and (max-width: 1080px) {
}

@media screen and (max-width: 767px) {
 .menu-header {
    ul {
      padding: 10px 0;
    }
  }

  .menu-mv {
    display: initial !important;
  }
}

@media screen and (min-width: 767px) {
  .elementor-menu-toggle {
    display: none !important;
  }
}

@media screen and (max-width: 600px) {
}

@media screen and (max-width: 560px) {
}


/* CAPTCHA */
.grecaptcha-badge {
  display: none;
}